Upstream information

CVE-2023-26555 at MITRE

Description

praecis_parse in ntpd/refclock_palisade.c in NTP 4.2.8p15 has an out-of-bounds write. Any attack method would be complex, e.g., with a manipulated GPS receiver.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.4 5.5
Vector CVSS:3.1/AV:P/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Attack Vector Physical Local
Attack Complexity High Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High High
CVSSv3 Version 3.1 3.1

Note from the SUSE Security Team

This issue only affects the palisade GPS clock driver, and would require a malicious device to exploit. It is not remote exploitable.

SUSE Bugzilla entry: 1210390 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-Basic-On-Demand
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-HPC-On-Demand
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-Azure-Standard-On-Demand
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-ECS-On-Demand
Image SLES12-SP5-EC2-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • ntp >= 4.2.8p17-103.1
Image SLES15-SP1-SAP-Azure-LI-BYOS-Production
Image SLES15-SP1-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP2-SAP-Azure-LI-BYOS-Production
Image SLES15-SP2-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP3-SAP-Azure-LI-BYOS-Production
Image SLES15-SP3-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP4-SAP-Azure-LI-BYOS
Image SLES15-SP4-SAP-Azure-LI-BYOS-Production
Image SLES15-SP4-SAP-Azure-VLI-BYOS
Image SLES15-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES15-SP5-SAP-Azure-LI-BYOS
Image SLES15-SP5-SAP-Azure-LI-BYOS-Production
Image SLES15-SP5-SAP-Azure-VLI-BYOS
Image SLES15-SP5-SAP-Azure-VLI-BYOS-Production
  • ntp >= 4.2.8p17-150000.4.25.1
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Legacy 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ntp >= 4.2.8p17-150000.4.25.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP4-2023-2608
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Legacy 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • ntp >= 4.2.8p17-150000.4.25.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP5-2023-2608
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • ntp >= 4.2.8p17-103.1
  • ntp-doc >= 4.2.8p17-103.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2023-2609
openSUSE Leap 15.4
  • ntp >= 4.2.8p17-150000.4.25.1
  • ntp-doc >= 4.2.8p17-150000.4.25.1
Patchnames:
openSUSE-SLE-15.4-2023-2608
openSUSE Leap 15.5
  • ntp >= 4.2.8p17-150000.4.25.1
  • ntp-doc >= 4.2.8p17-150000.4.25.1
Patchnames:
openSUSE-SLE-15.5-2023-2608
openSUSE Tumbleweed
  • ntp >= 4.2.8p17-1.1
  • ntp-dcf77-tools >= 4.2.8p17-1.1
  • ntp-doc >= 4.2.8p17-1.1
Patchnames:
openSUSE Tumbleweed GA ntp-4.2.8p17-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 ntp Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 ntp Released
SUSE Linux Enterprise High Performance Computing 15 SP5 ntp Released
SUSE Linux Enterprise Module for Legacy 15 SP5 ntp Released
SUSE Linux Enterprise Server 12 SP5 ntp Released
SUSE Linux Enterprise Server 15 SP5 ntp Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ntp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ntp Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 ntp Released
SUSE Manager Proxy 4.3 ntp Released
SUSE Manager Retail Branch Server 4.3 ntp Released
SUSE Manager Server 4.3 ntp Released
openSUSE Leap 15.5 ntp Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP4 ntp Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS ntp Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS ntp Affected
SUSE Linux Enterprise Module for Legacy 15 SP2 ntp Affected
SUSE Linux Enterprise Module for Legacy 15 SP3 ntp Affected
SUSE Linux Enterprise Module for Legacy 15 SP4 ntp Released
SUSE Linux Enterprise Server 12 SP2-BCL ntp Affected
SUSE Linux Enterprise Server 15 SP2 ntp Affected
SUSE Linux Enterprise Server 15 SP2-LTSS ntp Affected
SUSE Linux Enterprise Server 15 SP3 ntp Affected
SUSE Linux Enterprise Server 15 SP3-LTSS ntp Affected
SUSE Linux Enterprise Server 15 SP4 ntp Released
SUSE Linux Enterprise Server 15 SP4-LTSS ntp Affected
SUSE Linux Enterprise Server for SAP Applications 15 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ntp Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 ntp Affected
SUSE CaaS Platform 3.0 ntp Affected
SUSE CaaS Platform 4.0 ntp Affected
SUSE Enterprise Storage 6 ntp Affected
SUSE Enterprise Storage 7 ntp Affected
SUSE Linux Enterprise Desktop 12 SP1 ntp Affected
SUSE Linux Enterprise Desktop 12 SP2 ntp Affected
SUSE Linux Enterprise Desktop 12 SP3 ntp Affected
SUSE Linux Enterprise Desktop 12 SP4 ntp Affected
SUSE Linux Enterprise Module for Legacy 15 ntp Affected
SUSE Linux Enterprise Module for Legacy 15 SP1 ntp Affected
SUSE Linux Enterprise Server 11 SP3 ntp Unsupported
SUSE Linux Enterprise Server 11 SP3-LTSS ntp Unsupported
SUSE Linux Enterprise Server 12 SP1 ntp Affected
SUSE Linux Enterprise Server 12 SP1-LTSS ntp Affected
SUSE Linux Enterprise Server 12 SP2 ntp Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS ntp Affected
SUSE Linux Enterprise Server 12 SP2-LTSS ntp Affected
SUSE Linux Enterprise Server 12 SP3 ntp Affected
SUSE Linux Enterprise Server 12 SP3-BCL ntp Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS ntp Affected
SUSE Linux Enterprise Server 12 SP3-LTSS ntp Affected
SUSE Linux Enterprise Server 12 SP4 ntp Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ntp Affected
SUSE Linux Enterprise Server 12 SP4-LTSS ntp Affected
SUSE Linux Enterprise Server 15 ntp Affected
SUSE Linux Enterprise Server 15 SP1 ntp Affected
SUSE Linux Enterprise Server 15 SP1-BCL ntp Affected
SUSE Linux Enterprise Server 15 SP1-LTSS ntp Affected
SUSE Linux Enterprise Server 15-LTSS ntp Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ntp Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ntp Affected
SUSE Manager Proxy 4.0 ntp Affected
SUSE Manager Proxy 4.1 ntp Affected
SUSE Manager Proxy 4.2 ntp Affected
SUSE Manager Retail Branch Server 4.0 ntp Affected
SUSE Manager Retail Branch Server 4.1 ntp Affected
SUSE Manager Retail Branch Server 4.2 ntp Affected
SUSE Manager Server 4.0 ntp Affected
SUSE Manager Server 4.1 ntp Affected
SUSE Manager Server 4.2 ntp Affected
SUSE OpenStack Cloud 7 ntp Affected
SUSE OpenStack Cloud 8 ntp Affected
SUSE OpenStack Cloud 9 ntp Affected
SUSE OpenStack Cloud Crowbar 8 ntp Affected
SUSE OpenStack Cloud Crowbar 9 ntp Affected
openSUSE Leap 15.4 ntp Released


SUSE Timeline for this CVE

CVE page created: Wed Apr 12 00:02:02 2023
CVE page last modified: Thu Feb 1 01:46:06 2024